io.agora.rtc

## Class DownlinkNetworkInfo

- java.lang.Object
- - io.agora.rtc.DownlinkNetworkInfo

-     public class DownlinkNetworkInfo
      extends java.lang.Object

  Downlink network information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bandwidthEstimationBps` The estimated bandwidth in bits per second
    `private int` | `lastmileBufferDelayTimeMs` The delay time in milliseconds for the last mile buffer
    `private PeerDownlinkInfo` | `peerDownlinkInfo` Information about the peer's downlink
    `private int` | `totalDownscaleLevelCount` The total count of downscale levels
    `private int` | `totalReceivedVideoCount` The total count of received video streams

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownlinkNetworkInfo()` Default constructor for DownlinkNetworkInfo.
    `DownlinkNetworkInfo(int lastmileBufferDelayTimeMs, int bandwidthEstimationBps, int totalDownscaleLevelCount, PeerDownlinkInfo peerDownlinkInfo, int totalReceivedVideoCount)` Constructs DownlinkNetworkInfo with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBandwidthEstimationBps()` Gets the estimated bandwidth in bits per second.
    `int` | `getLastmileBufferDelayTimeMs()` Gets the delay time in milliseconds for the last mile buffer.
    `PeerDownlinkInfo` | `getPeerDownlinkInfo()` Gets information about the peer's downlink.
    `int` | `getTotalDownscaleLevelCount()` Gets the total count of downscale levels.
    `int` | `getTotalReceivedVideoCount()` Gets the total count of received video streams.
    `void` | `setBandwidthEstimationBps(int bandwidthEstimationBps)` Sets the estimated bandwidth in bits per second.
    `void` | `setLastmileBufferDelayTimeMs(int lastmileBufferDelayTimeMs)` Sets the delay time in milliseconds for the last mile buffer.
    `void` | `setPeerDownlinkInfo(PeerDownlinkInfo peerDownlinkInfo)` Sets information about the peer's downlink.
    `void` | `setTotalDownscaleLevelCount(int totalDownscaleLevelCount)` Sets the total count of downscale levels.
    `void` | `setTotalReceivedVideoCount(int totalReceivedVideoCount)` Sets the total count of received video streams.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastmileBufferDelayTimeMs

          private int lastmileBufferDelayTimeMs

      The delay time in milliseconds for the last mile buffer

    - #### bandwidthEstimationBps

          private int bandwidthEstimationBps

      The estimated bandwidth in bits per second

    - #### totalDownscaleLevelCount

          private int totalDownscaleLevelCount

      The total count of downscale levels

    - #### peerDownlinkInfo

          private PeerDownlinkInfo peerDownlinkInfo

      Information about the peer's downlink

    - #### totalReceivedVideoCount

          private int totalReceivedVideoCount

      The total count of received video streams

  - ### Constructor Detail

    - #### DownlinkNetworkInfo

          public DownlinkNetworkInfo()

      Default constructor for DownlinkNetworkInfo.

    - #### DownlinkNetworkInfo

          public DownlinkNetworkInfo(int lastmileBufferDelayTimeMs,
                                     int bandwidthEstimationBps,
                                     int totalDownscaleLevelCount,
                                     PeerDownlinkInfo peerDownlinkInfo,
                                     int totalReceivedVideoCount)

      Constructs DownlinkNetworkInfo with all parameters.
      Parameters:
        `lastmileBufferDelayTimeMs` - The delay time in milliseconds for the last mile buffer
        `bandwidthEstimationBps` - The estimated bandwidth in bits per second
        `totalDownscaleLevelCount` - The total count of downscale levels
        `peerDownlinkInfo` - Information about the peer's downlink
        `totalReceivedVideoCount` - The total count of received video streams

  - ### Method Detail

    - #### getLastmileBufferDelayTimeMs

          public int getLastmileBufferDelayTimeMs()

      Gets the delay time in milliseconds for the last mile buffer.
      Returns:
        The delay time in milliseconds

    - #### setLastmileBufferDelayTimeMs

          public void setLastmileBufferDelayTimeMs(int lastmileBufferDelayTimeMs)

      Sets the delay time in milliseconds for the last mile buffer.
      Parameters:
        `lastmileBufferDelayTimeMs` - The delay time in milliseconds

    - #### getBandwidthEstimationBps

          public int getBandwidthEstimationBps()

      Gets the estimated bandwidth in bits per second.
      Returns:
        The estimated bandwidth in bits per second

    - #### setBandwidthEstimationBps

          public void setBandwidthEstimationBps(int bandwidthEstimationBps)

      Sets the estimated bandwidth in bits per second.
      Parameters:
        `bandwidthEstimationBps` - The estimated bandwidth in bits per second

    - #### getTotalDownscaleLevelCount

          public int getTotalDownscaleLevelCount()

      Gets the total count of downscale levels.
      Returns:
        The total count of downscale levels

    - #### setTotalDownscaleLevelCount

          public void setTotalDownscaleLevelCount(int totalDownscaleLevelCount)

      Sets the total count of downscale levels.
      Parameters:
        `totalDownscaleLevelCount` - The total count of downscale levels

    - #### getPeerDownlinkInfo

          public PeerDownlinkInfo getPeerDownlinkInfo()

      Gets information about the peer's downlink.
      Returns:
        Information about the peer's downlink

    - #### setPeerDownlinkInfo

          public void setPeerDownlinkInfo(PeerDownlinkInfo peerDownlinkInfo)

      Sets information about the peer's downlink.
      Parameters:
        `peerDownlinkInfo` - Information about the peer's downlink

    - #### getTotalReceivedVideoCount

          public int getTotalReceivedVideoCount()

      Gets the total count of received video streams.
      Returns:
        The total count of received video streams

    - #### setTotalReceivedVideoCount

          public void setTotalReceivedVideoCount(int totalReceivedVideoCount)

      Sets the total count of received video streams.
      Parameters:
        `totalReceivedVideoCount` - The total count of received video streams

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`